hls-plugin-api-2.9.0.0: Haskell Language Server API for plugin communication

Safe Haskell | None
Language | GHC2021

Ide.Plugin.HandleRequestTypes

Synopsis

- data RejectionReason
  - = NotResolveOwner Text
  - | DisabledGlobally
  - | FeatureDisabled
  - | NotFormattingProvider Text
  - | DoesNotSupportFileType Text
- data HandleRequestResult
  - = HandlesRequest
  - | DoesNotHandleRequest RejectionReason

# Documentation

data RejectionReason #

Reasons why a plugin could reject a specific request.

Constructors

NotResolveOwner Text | The resolve request is not meant for this plugin or handler. The text field should contain the identifier for the plugin who owns this resolve request.
DisabledGlobally | The plugin is disabled globally in the users config.
FeatureDisabled | The feature in the plugin that responds to this request is disabled in the users config
NotFormattingProvider Text | This plugin is not the formatting provider selected in the users config. The text should be the formatting provider in your config.
DoesNotSupportFileType Text | This plugin does not support the file type. The text field here should contain the filetype of the rejected request.

#### Instances

Instances details

Eq RejectionReason # |
Instance details Defined in Ide.Plugin.HandleRequestTypes Methods (==) :: RejectionReason -> RejectionReason -> Bool # (/=) :: RejectionReason -> RejectionReason -> Bool #
Pretty RejectionReason # |
Instance details Defined in Ide.Plugin.HandleRequestTypes Methods pretty :: RejectionReason -> Doc ann # prettyList :: [RejectionReason] -> Doc ann #

data HandleRequestResult #

Whether a plugin will handle a request or not.

Constructors

HandlesRequest |
DoesNotHandleRequest RejectionReason |

#### Instances

Instances details

Semigroup HandleRequestResult # |
Instance details Defined in Ide.Plugin.HandleRequestTypes Methods (<>) :: HandleRequestResult -> HandleRequestResult -> HandleRequestResult # sconcat :: NonEmpty HandleRequestResult -> HandleRequestResult # stimes :: Integral b => b -> HandleRequestResult -> HandleRequestResult #
Eq HandleRequestResult # |
Instance details Defined in Ide.Plugin.HandleRequestTypes Methods (==) :: HandleRequestResult -> HandleRequestResult -> Bool # (/=) :: HandleRequestResult -> HandleRequestResult -> Bool #
Pretty HandleRequestResult # |
Instance details Defined in Ide.Plugin.HandleRequestTypes Methods pretty :: HandleRequestResult -> Doc ann # prettyList :: [HandleRequestResult] -> Doc ann #